Wallbox HEMS Sessions
Get one standalone HEMS session with its decision timeline and command verdicts
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
wallboxes
/
{wallbox_id}
/
hems-sessions
/
{session_id}
Get one standalone HEMS session with its decision timeline and command verdicts
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/wallboxes/{wallbox_id}/hems-sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session": {
"id": 123,
"ocpp_transaction_id": 123,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"final_hems_state": "<string>",
"energy_from_solar_kwh": 123,
"savings_eur": 123,
"has_complete_price_coverage": true,
"commands_sent": 123,
"commands_applied": 123,
"commands_ineffective": 123
},
"decisions": [
{
"time": "2023-11-07T05:31:56Z",
"hems_state": "<string>",
"reason": "<string>",
"export_w": 123,
"target_w": 123,
"phases": 123,
"dispatched": true,
"steering_command_id": 123
}
],
"commands": [
{
"id": 123,
"time": "2023-11-07T05:31:56Z",
"commanded_watts": 123,
"commanded_amps": 123,
"commanded_phases": 123,
"dispatch_status": "<string>",
"observed_current_offered_a": 123,
"observed_power_w": 123
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID
The user ID
The wallbox ID
The HEMS session ID
Was this page helpful?
Previous
Update general device attributesUpdate general attributes of a device, like `is_smart_optimization_active`
or `is_authenticated`.
Next
⌘I
Get one standalone HEMS session with its decision timeline and command verdicts
